*{
    box-sizing: border-box;
}
.image-card {
    width: 600px;
    position: relative;
    flex-basis: 300px;
    flex-grow: 1;
}
#container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
}
img {
    display: block;
    border: 1px solid black;
    width: 100%;
}
.caption{
    position: absolute;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 1px;
    bottom:0;
    width: 100%;

}